interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.3.0 Python/2.7.6 Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://www.reddit.com/r/AskReddit/comments/cmwov.json?sort=top
  response:
    body:
      string: !!binary |
[encoded data, 45220 characters]
        3sirue+D9le5HIOCY1ZS//0fZ+kHEUONAwA=
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-cache-status: [EXPIRED]
      cf-ray: [250df8b5ff4d288e-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['30350']
      content-type: [application/json; charset=UTF-8]
      date: ['Mon, 07 Dec 2015 05:53:42 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=dfc22bc4dbea955b67a03ac556f5168461449467620; expires=Tue,
          06-Dec-16 05:53:40 GMT; path=/; domain=.reddit.com; HttpOnly']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [Accept-Encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=Sdxun9rDrJ%2FHohK424w0Ea2We%2BjPm5xwjtqAPBohib95nrxVbVp9m15frX%2BV1QuJ9FRmydTJR6A%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: r=AskReddit&where=top&children=c0trxl4%2Cc0tqht3%2Cc0tqyp8%2Cc0tr2v6%2Cc0tqeik%2Cc0tqo5b%2Cc0tq3p4%2Cc0tq94i%2Cc0tprcm%2Cc0tpx9r%2Cc0tsl4j%2Cc0tsvv3%2Cc0tppe1%2Cc0tpq4p%2Cc0tpuxd%2Cc0trcd2%2Cc0trd3t%2Cc0tre4x%2Cc0trfdz%2Cc0tqaj2%2Cc0tqup7%2Cc0tsa20%2Cc0tqkrg%2Cc0tpywb%2Cc0tsuqu%2Cc0tppfz%2Cc0tr1rs%2Cc0tunwn%2Cc0tr9b5%2Cc0tramn%2Cc0trcoy%2Cc0tpqkt%2Cc0tptqs%2Cc0trelw%2Cc0trfkh%2Cc0trhav%2Cc0trjrr%2Cc0tpnhz%2Cc0tqc6w%2Cc0tpngs%2Cc0tq2ne%2Cc0trygu%2Cc0tpy2m%2Cc0tqi7n%2Cc0ts7b6%2Cc0tpo3q%2Cc0ts8qk%2Cc0tpoqm%2Cc0tsivh%2Cc0tqqoh%2Cc0tpk7h%2Cc0tr21e%2Cc0tpsxi%2Cc0tqym3%2Cc0tqzty%2Cc0tpolw%2Cc0tr6ze%2Cc0tpu30%2Cc0tra1s%2Cc0tplz0%2Cc0tracr%2Cc0tqej7%2Cc0trakz%2Cc0tpv24%2Cc0traya%2Cc0tq6q2%2Cc0tr4jt%2Cc0trdzz%2Cc0tpmvp%2Cc0tq8fm%2Cc0trftp%2Cc0trfw9%2Cc0trfzc%2Cc0trgtb%2Cc0trhcs%2Cc0trhix%2Cc0tq9gu%2Cc0tri0y%2Cc0trjoa%2Cc0trjqz%2Cc0tqan2%2Cc0trklu%2Cc0trlpu%2Cc0tqcej%2Cc0trn90%2Cc0trndn%2Cc0tqjn9%2Cc0ts2cd%2Cc0tpmu5%2Cc0tryoj%2Cc0ts07k%2Cc0tqilt%2Cc0tqjnz%2Cc0tq0zw%2Cc0tsahy%2Cc0tqk4y%2Cc0tqmvd%2Cc0tqnbb%2Cc0tpsoh%2Cc0tslwr%2Cc0tpzpi%2Cc0tstvh%2Cc0tswq0%2Cc0tpzz7%2Cc0tt04z%2Cc0tpzzf%2Cc0tt93z%2Cc0tq0m2%2Cc0tqwiz%2Cc0tqydw%2Cc0tq1f6%2Cc0tq1og%2Cc0tquyw%2Cc0tq1y7%2Cc0tr5ji%2Cc0tqxmp%2Cc0tr700%2Cc0tq3st%2Cc0tq49c%2Cc0traed%2Cc0tq5uw%2Cc0tr5hg%2Cc0trc3j%2Cc0tpthc%2Cc0trcqq%2Cc0tq1v3%2Cc0tpvtk%2Cc0tq87k%2Cc0tq8f5%2Cc0tpruk%2Cc0tpqpi%2Cc0tpkme%2Cc0tq9d4%2Cc0tpqxz%2Cc0tpwhl%2Cc0trhcz%2Cc0trhmq%2Cc0trhqf%2Cc0tq9hu%2Cc0tqag4%2Cc0tpwoj%2Cc0tpwvx%2Cc0tqy0t%2Cc0trk12%2Cc0trl7x%2Cc0v46yr%2Cc0tpx5g%2Cc0trltr%2Cc0trmcu%2Cc0tqcxa%2Cc0ts1kq%2Cc0trr2x%2Cc0tqdsa%2Cc0tsae0%2Cc0tro8r%2Cc0trogu%2Cc0trqku%2Cc0trtap%2Cc0tqe4t%2Cc0trtgv%2Cc0ttosy%2Cc0tpxnl%2Cc0trw3z%2Cc0trx4x%2Cc0tqgmt%2Cc0trymd%2Cc0tqh2p%2Cc0trzh0%2Cc0trzs9%2Cc0trzz3%2Cc0ts047%2Cc0tpn2a%2Cc0tpseh%2Cc0ts1mt%2Cc0ts1nu%2Cc0ts4ru%2Cc0ts6dm%2Cc0tqizt%2Cc0ts6dv%2Cc0tqjle%2Cc0ts7oz%2Cc0ts9pi%2Cc0ts9z9%2Cc0tsa3i%2Cc0tqjr2%2Cc0tsbtc%2Cc0tsdar%2Cc0tsdxr%2Cc0tsgpu%2Cc0tpz3j%2Cc0tsgqw%2Cc0tsgyr%2Cc0tsie2%2Cc0tskjh%2Cc0tqo5x%2Cc0tsnnb%2Cc0tspyh%2Cc0tssi7%2Cc0tqrxx%2Cc0tsx7j%2Cc0tsxn3%2Cc0tt3de%2Cc0tt547%2Cc0tr1wv%2Cc0tq00b%2Cc0tt9sz%2Cc0ttc2t%2Cc0ttdbg%2Cc0tqweb%2Cc0tppa0%2Cc0tqwgf%2Cc0tqxfq%2Cc0tqy8u%2Cc0tpo2j%2Cc0tq1pw%2Cc0tqzlb%2Cc0tr0v4%2Cc0tr124%2Cc0tptxi%2Cc0tr494&api_type=json&link_id=t3_cmwov
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      Content-Length: ['2259']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=dfc22bc4dbea955b67a03ac556f5168461449467620]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.3.0 Python/2.7.6 Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode POST
    uri: https://api.reddit.com/api/morechildren/.json
  response:
    body:
      string: !!binary |
[encoded data, 7047 characters]
    headers:
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [250df8e945f00663-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['4723']
      content-type: [application/json; charset=UTF-8]
      date: ['Mon, 07 Dec 2015 05:53:49 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
